libnvme(2)

NAME
enum nvme_eom_optional_data_present - EOM Optional Data Present Fields

SYNOPSIS
enum nvme_eom_optional_data_present {
NVME_EOM_ODP_PEFP_SHIFT ,
NVME_EOM_ODP_EDFP_SHIFT ,
NVME_EOM_ODP_RSVD_SHIFT ,
NVME_EOM_ODP_PEFP_MASK ,
NVME_EOM_ODP_EDFP_MASK ,
NVME_EOM_ODP_RSVD_MASK

};

Constants

NVME_EOM_ODP_PEFP_SHIFT
    Shift amount to get the printable eye field present from the struct nvme_phy_rx_eom_log.odp field.

NVME_EOM_ODP_EDFP_SHIFT
    Shift amount to get the eye data field present from the struct nvme_phy_rx_eom_log.odp field.

NVME_EOM_ODP_RSVD_SHIFT
    Shift amount to get the reserved optional data present from the struct nvme_phy_rx_eom_log.odp field.

NVME_EOM_ODP_PEFP_MASK
    Mask to get the printable eye field present from the struct nvme_phy_rx_eom_log.odp field.

NVME_EOM_ODP_EDFP_MASK
    Mask to get the eye data field present from the struct nvme_phy_rx_eom_log.odp field.

NVME_EOM_ODP_RSVD_MASK
    Mask to get the reserved data present from the struct nvme_phy_rx_eom_log.odp field.